Create an API key
Creates a new API key for the organization and returns the created key, including the plaintext secret, with a 201 response.
Creates a new API key for the organization and returns the created key, including the plaintext secret, with a 201 response.
Authorization
apiKey In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= length <= 32Defaults to full access. A restricted API key creating a key defaults to its own grants and cannot issue full access.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "name": "string", "key": "string", "start": "string", "description": "string", "createdAt": "string", "expiresAt": "string", "lastUsedAt": "string", "isActive": true, "access": { "mode": "full" }, "owner": { "id": "string", "name": "string", "email": "string" }}Related documentation
Update a webhook
Updates a webhook's name, URL, subscribed events, channels, custom headers, mailbox scope, or status and returns the updated endpoint.
Get an API key
Returns the API key with the given ID, including its metadata and access. Use this endpoint to get an API key through the Samva email API.